body[layout-version="2"] {
  overflow-y: auto !important;
  position: relative;

  .common-main .flex.flex-col.bg-background2 .el-tabs__content {
    height: auto;
    padding-bottom: 0;
  }

  .register-dialog {
    .register-dialog-container {
      margin-top: 52px;
      padding: 16px 8px !important;

      & > .el-form {
        margin-top: 0;
        margin-bottom: 0;
      }
    }

    .register-dialog-header {
      top: 0;
      left: 0;
    }
  }

  [data-device="mobile"] {
    .playful-promotion-bar {
      &:first-child {
        margin-top: 0;
      }
    }
    .horizontal-game-entry-list {
      padding-left: 8px;
      padding-right: 8px;
    }

    .message-tabs {
      .el-tabs__header {
        position: fixed;
        width: 100%;
        top: 52px;
        z-index: 9;
      }
  
      .message-actions {
        position: fixed;
        width: 100%;
        top: 92px;
        z-index: 9;
      }
    }

    .mb-message-wrapper {
      overflow: unset;
      height: auto;
      padding-top: 80px;

      .el-loading-mask {
        position: fixed;
        top: 92px;
        width: 100%;
        height: calc(100% - 148px);
      }
    }
  }

  .time-notice-footer {
    & > p {
      font-family: Roboto;
      font-size: 12px;
      font-weight: 400;
      line-height: 14.06px;
      text-align: left;
    }

    & > .el-icon {
      width: 12px;
      height: 12px;
    }
  }

  &.el-popup-parent--hidden,
  &[body-noscroll="true"] {
    overflow-y: hidden !important;
  }

  header.app__main-header {
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 99;
  }

  .menu-tab-header {
    position: sticky;
    top: 52px;
    left: 0;
    width: 100%;
    z-index: 99;
  }

  .announcement {
    position: sticky;
    top: var(--header-height, 52px);
    left: 0;
    width: 100%;
    z-index: 20;
    border-bottom: var(--border-width, 0) solid var(--background4);
  }

  .theme-wrapper {
    min-height: 100%;
  }

  .page-content {
    color: var(--text2);
    padding: 8px;
    p {
      font-size: 12px;
    }
  }

  .common-main, .common-playful, .common-global {
    overflow: unset;

    .bet-history-game-type-tab {
      .el-tabs__content {
        height: auto;
        padding-bottom: 0;
      }
    }

    .flex.flex-col.bg-background2 .el-tabs__content {
      overflow: unset;
      height: auto;
      padding-bottom: 0;
    }

    .unset-height {
      height: auto !important;
      overflow-y: unset !important;
      margin-bottom: unset !important;
    }

    .common-mobile-header {
      position: sticky;
      top: 0;
      z-index: 21;
    }

    #method-option {
      position: sticky;
      z-index: 19;
      top: 53px;
      background: var(--background2);
    }

    .unset-padding-b {
      padding-bottom: unset !important;
      margin-bottom: unset !important;
    }

    .transaction-form-section {
      background: var(--background2);
      .el-input__inner {
        color: var(--text) !important;
        background: var(--background1);

        &::placeholder {
          color: var(--text);
        }
      }
      .el-form-item__label {
        color: var(--text2);
      }
      .submit-button-deposit {
        button {
          width: 152px;
        }
        padding-bottom: 16px;
      }
    }
    .btn-deposit {
      background: var(--background5);

      .credit-card {
        fill: var(--text5);
        opacity: 0.7;
      }
      .content {
        color: var(--text5);
        opacity: 0.7;
      }
      &.active {
        .credit-card {
          fill: var(--text5);
          opacity: 1;
        }
        background: var(--secondary);
        .content {
          color: var(--textBtn);
          opacity: 1;
        }
      }
    }
    .company-bank-name-radio {
      .check-btn {
        background: var(--background5);
        &::before {
          border: 1px solid var(--border);
        }
        .check-btn__text {
          opacity: 0.7;
          color: var(--text5);
        }
      }
      &.selected {
        .check-btn {
          background: var(--secondary);
          &::before {
            border: 1px solid var(--primary);
          }
          .check-btn__text {
            opacity: 1;
            color: var(--selected);
          }
        }
      }
    }
    .statement-time-notice {
      background: var(--background2);
      position: sticky;
      top: 92px;
      z-index: 10;
      padding: 8px;
    }
    &[theme-color="main_sbo"] {
      .deposit-wrapper, .withdrawal-wrapper {
        #method-option, .transaction-form-section {
          background: var(--background5) !important;
        }
      }
    }
    &[layout="playful"] {
      .no-promotion-section {
        margin-top: 40px;
      }
    }
    &[layout="global"] {
      .global-menu-bar {
        position: sticky;
        top: 52px;
        z-index: 20;
      }
      .announcement {
        position: sticky;
        top: 92.5px;
        z-index: 20;
      }
    }
    &[layout="playful"], &[layout="global"] {
      .acc-info {
        position: sticky;
      }
      .win-lose-mobile {
        .check-img {
          bottom: 13px;
          right: 8px;
        }
        .date-selector {
          .el-radio-button__inner {
            &::before {
              right: 5px;
            }
          }
        }
      }
    }
  }

  .section-title {
    font-family: Roboto;
    font-size: 14px;
    font-weight: 500;
    line-height: 16.41px;
    text-align: left;
  }
}